Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.message
Interface Exchange

All Superinterfaces:
  java.util.Map<java.lang.String,java.lang.Object>, StringMap

All Known Implementing Classes:
  ExchangeImpl

    public interface Exchange

extends StringMap

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`void` | `clear()`
`Conduit` | `getConduit(Message message)`
`Destination` | `getDestination()`
`Message` | `getInFaultMessage()`
`Message` | `getInMessage()`
`Message` | `getOutFaultMessage()`
`Message` | `getOutMessage()`
`Session` | `getSession()`
`boolean` | `isOneWay()`
`void` | `setConduit(Conduit conduit)`
`void` | `setDestination(Destination destination)`
`void` | `setInFaultMessage(Message m)`
`void` | `setInMessage(Message m)`
`void` | `setOneWay(boolean b)`
`void` | `setOutFaultMessage(Message m)`
`void` | `setOutMessage(Message m)`

Methods inherited from interface org.apache.cxf.message.StringMap
`get, put`

Methods inherited from interface java.util.Map
`containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### getInMessage

    Message getInMessage()

### setInMessage

    void setInMessage(Message m)

### getOutMessage

    Message getOutMessage()

### setOutMessage

    void setOutMessage(Message m)

### getInFaultMessage

    Message getInFaultMessage()

### setInFaultMessage

    void setInFaultMessage(Message m)

### getOutFaultMessage

    Message getOutFaultMessage()

### setOutFaultMessage

    void setOutFaultMessage(Message m)

### getSession

    Session getSession()

### getDestination

    Destination getDestination()

  Returns:
    the associated incoming Destination (may be anonymous)

### setDestination

    void setDestination(Destination destination)

  Parameters:
    `destination` - the associated incoming Destination

### getConduit

    Conduit getConduit(Message message)

  Parameters:
    `message` - the associated message
  Returns:
    the associated outgoing Conduit (may be anonymous)

### setConduit

    void setConduit(Conduit conduit)

  Parameters:
    `conduit` - the associated outgoing Conduit

### isOneWay

    boolean isOneWay()

  Returns:
    true if the exchange is known to be a one-way exchange

### setOneWay

    void setOneWay(boolean b)

  Parameters:
    `b` - true if the exchange is known to be a one-way exchange

### clear

    void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.